Bug 920471 (CVE-2013-0913) - CVE-2013-0913 Kernel: drm/i915: heap writing overflow
Summary: CVE-2013-0913 Kernel: drm/i915: heap writing overflow
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-0913
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 920523 920525 920526 920528 920529
Blocks: 920451
TreeView+ depends on / blocked
 
Reported: 2013-03-12 08:03 UTC by Prasad J Pandit
Modified: 2019-09-29 13:01 UTC (History)
28 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-09 12:38:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0744 normal SHIPPED_LIVE Important: kernel security and bug fix update 2013-04-23 22:25:40 UTC
Red Hat Product Errata RHSA-2013:0829 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2013-05-20 20:47:02 UTC

Description Prasad J Pandit 2013-03-12 08:03:42 UTC
Linux kernel built with Direct Rendering Manager(DRM) i915 driver for the
the Direct Rendering Infrastructure(DRI) introduced by XFree86 4.0, is
vulnerable to a heap overflow flaw.

An user/program with access to the DRM driver could use this flaw to crash
the kernel, resulting in DoS or possibly escalate privileges.

Reference:
----------
 -> https://lkml.org/lkml/2013/3/11/501
 -> http://www.openwall.com/lists/oss-security/2013/03/11/6

Comment 1 Prasad J Pandit 2013-03-12 08:11:29 UTC
Statement:

This issue does not affect the versions of the kernel package as shipped with Red Hat Enterprise Linux 5.

This issue affects the version of Linux kernel as shipped with Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2.  Future kernel updates for Red Hat Enterprise MRG 2 may address this issue.

Comment 2 Prasad J Pandit 2013-03-12 10:13:34 UTC
Upstream fix:
-------------
 -> https://lkml.org/lkml/2013/3/11/677

Comment 5 Prasad J Pandit 2013-03-12 10:18:07 UTC
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 920529]

Comment 6 Fedora Update System 2013-03-17 01:07:16 UTC
kernel-3.8.3-201.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Nikola Pajkovsky 2013-03-18 15:21:36 UTC
I would rather see git commit in any branch.

Comment 10 Fedora Update System 2013-03-22 00:18:50 UTC
kernel-3.8.3-103.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 errata-xmlrpc 2013-04-23 18:29:39 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0744 https://rhn.redhat.com/errata/RHSA-2013-0744.html

Comment 14 errata-xmlrpc 2013-05-20 16:50:41 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:0829 https://rhn.redhat.com/errata/RHSA-2013-0829.html


Note You need to log in before you can comment on or make changes to this bug.